Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

chore: update the npm package to use @electron/get #18413

Merged
merged 2 commits into from May 24, 2019

Conversation

Projects
None yet
4 participants
@MarshallOfSound
Copy link
Member

commented May 23, 2019

This updates our npm package to use @electron/get the new and shiny version of electron-download. Tested locally and appears to work 馃憤

Notes: Updated the electron module to use @electron/get. The minimum supported node version is now Node 8.

@MarshallOfSound MarshallOfSound requested a review from electron/wg-releases as a code owner May 23, 2019

@malept

This comment has been minimized.

Copy link
Member

commented May 24, 2019

The minimum supported node version is now Node 6.

Pretty sure it's Node 8, due to got 馃槃

@MarshallOfSound

This comment has been minimized.

Copy link
Member Author

commented May 24, 2019

@malept Updated 馃憤 Node 6 is EOL as well

@MarshallOfSound MarshallOfSound merged commit a6637fb into master May 24, 2019

5 of 11 checks passed

build-mac Workflow: build-mac
Details
Artifact Comparison
Details
appveyor: win-ia32-testing Waiting for AppVeyor build to complete
Details
appveyor: win-ia32-testing-pr Waiting for AppVeyor build to complete
Details
appveyor: win-x64-testing Waiting for AppVeyor build to complete
Details
appveyor: win-x64-testing-pr Waiting for AppVeyor build to complete
Details
Semantic Pull Request ready to be squashed
Details
WIP Ready for review
Details
build-linux Workflow: build-linux
Details
lint Workflow: lint
Details
release-notes Release notes found
@release-clerk

This comment has been minimized.

Copy link

commented May 24, 2019

Release Notes Persisted

Updated the electron module to use @electron/get. The minimum supported node version is now Node 8.

@MarshallOfSound MarshallOfSound deleted the new-electron-download branch May 24, 2019

@malept

This comment has been minimized.

Copy link
Member

commented May 24, 2019

Do we want to backport to v6 or is it too late?

@MarshallOfSound

This comment has been minimized.

Copy link
Member Author

commented May 24, 2019

@malept Too late, and no pressing need IMO

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can鈥檛 perform that action at this time.